%global upstream_version 1.5.22
%global momorel 3

Summary: The GNU libtool, which simplifies the use of shared libraries.
Name: libtool
%{?include_specopt}
%{?!do_test: %global do_test 1}
Version: 1.5.22
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Tools
URL: http://www.gnu.org/directory/libtool.html
Source: ftp://ftp.gnu.org/gnu/libtool/libtool-%{version}.tar.gz
NoSource: 0
Patch1:libtool-1.5.18-multilib.patch
PreReq: info autoconf automake m4 perl
BuildRequires: autoconf automake texinfo
# make sure we can configure all supported langs
Buildrequires: gcc gcc-c++ libstdc++-devel gcc-gfortran gcc-java
Requires: libtool-libs = %{version}-%{release}, mktemp
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
GNU Libtool is a set of shell scripts which automatically configure UNIX and
UNIX-like systems to generically build shared libraries. Libtool provides a
consistent, portable interface which simplifies the process of using shared
libraries.

If you are developing programs which will use shared libraries, but do not use
the rest of the GNU Autotools (such as GNU Autoconf and GNU Automake), you
should install the libtool package.

The libtool package also includes all files needed to integrate the GNU
Portable Library Tool (libtool) and the GNU Libtool Dynamic Module Loader
(ltdl) into a package built using the GNU Autotools (including GNU Autoconf
and GNU Automake).

This package includes a modification from the original GNU Libtool to allow
support for multi-architecture systems, such as the AMD64 Opteron and the
Intel 64-bit Xeon.

%package ltdl
Summary:        Runtime libraries for GNU Libtool Dynamic Module Loader
Group:          System Environment/Libraries
Provides:       libtool-libs = %{version}-%{release}
Obsoletes:      libtool-libs
License:    LGPL

%description ltdl
The libtool-ltdl package contains the GNU Libtool Dynamic Module Loader, a
library that provides a consistent, portable interface which simplifies the
process of using dynamic modules.

These runtime libraries are needed by programs that link directly to the
system-installed ltdl libraries; they are not needed by software built using
the rest of the GNU Autotools (including GNU Autoconf and GNU Automake).

%package ltdl-devel
Summary:        Tools needed for development using the GNU Libtool Dynamic Module Loader
Group:          Development/Libraries
Requires:       libtool-ltdl = %{version}-%{release}

%description ltdl-devel
Static libraries and header files for development with ltdl.

%prep
%setup -n libtool-%{upstream_version} -q
%patch1 -p1 -b .multilib


%build
./bootstrap

export CC=gcc
export CXX=g++
export F77=gfortran
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure
%make

%if %{do_test}
%check
make check VERBOSE=yes > make_check.log 2>&1 || (cat make_check.log && false)
%endif

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{_infodir}/dir

## add SED definition to ltmain.sh for legacy ltconfig's
#patch -d %{buildroot}%{_datadir}/libtool -z .sed < %{SOURCE1}

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/install-info %{_infodir}/libtool.info.* %{_infodir}/dir

%post ltdl -p /sbin/ldconfig

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/libtool.info.* %{_infodir}/dir
fi

%postun ltdl -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS TODO ChangeLog
%{_infodir}/libtool.info*
%{_bindir}/libtool
%{_bindir}/libtoolize
%{_datadir}/aclocal/*.m4
%{_datadir}/libtool

%files ltdl
%defattr(-,root,root)
%doc libltdl/COPYING.LIB libltdl/README
%{_libdir}/libltdl.so.*

%files ltdl-devel
%defattr(-,root,root)
%{_libdir}/libltdl.a
%{_libdir}/libltdl.la
%{_libdir}/libltdl.so
%{_includedir}/ltdl.h

%changelog
* Sun Nov 26 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5.22-3m)
- use libtool.specopt condition for %%check

* Thu Apr  6 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.22-2m)
- revised packages owner

* Sat Jan  7 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.22-1m)
- sync with fc-devel

* Sat Jun 25 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.18-1m)
- sync with FC

* Sat Feb 19 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (1.5.10-4m)
- sync with FC

* Sun Jan 23 2005 Toru Hoshina <t@momonga-linux.org>
- (1.5.10-3m)
- relink shouldn't link .la from /usr/lib because it's not installed yet...

* Sat Jan 15 2005 Toru Hoshina <t@momonga-linux.org>
- (1.5.10-2m)
- enable x86_64.

* Sun Dec 05 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.10-1m)
- update to the 1.5.10 bugfix release

* Thu Aug 26 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.5-5m)
- rebuild against gcc-3.4.1 (add BuildPrereq: gcc)

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.5-4m)
- revised spec for enabling rpm 4.2.

* Sun Oct 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (1.5-3m)
- put source into repository

* Tue Jul  8 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.5-2m)
- rebuild against rpm-4.0.4-52m

* Tue Jun 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.5-1m)
- version 1.5

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.4.2-4k)

* Wed Jan 30 2002 Shingo Akagaki <dora@kondara.org>
- (1.4.2-2k)
- version 1.4.2

* Fri Jan 12 2002 Shingo Akagaki <dora@kondara.org>
- (1.4-6k)
- port from Jirai

* Fri Sep 28 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (1.4-7k)
- add library search path for rpm build time

* Thu Jul  5 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 1.4

* Wed Oct 25 2000 Daiki Matsuda <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Thu Jul 13 2000 Elliot Lee <sopwith@redhat.com>
- Fix recognition of ^0[0-9]+$ as a non-negative integer.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch to use mktemp to create the tempdir
- use %%configure after defining __libtoolize to /bin/true

* Mon Jul  3 2000 Matt Wilson <msw@redhat.com>
- subpackage libltdl into libtool-libs

* Sun Jun 18 2000 Bill Nottingham <notting@redhat.com>
- running libtoolize on the libtool source tree ain't right :)

* Mon Jun  5 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.

* Thu Jun  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.3.5.

* Fri Mar  3 2000 Jeff Johnson <jbj@redhat.com>
- add prereqs for m4 and perl inorder to run autoconf/automake.

* Mon Feb 28 2000 Jeff Johnson <jbj@redhat.com>
- functional /usr/doc/libtool-*/demo by end-user %post procedure (#9719).

* Wed Dec 22 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.4.

* Mon Dec  6 1999 Jeff Johnson <jbj@redhat.com>
- change from noarch to per-arch in order to package libltdl.a (#7493).

* Thu Jul 15 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.3.

* Mon Jun 14 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.2.

* Tue May 11 1999 Jeff Johnson <jbj@redhat.com>
- explicitly disable per-arch libraries (#2210)
- undo hard links and remove zero length file (#2689)

* Sat May  1 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.

* Fri Mar 26 1999 Cristian Gafton <gafton@redhat.com>
- disable the --cache-file passing to ltconfig; this breaks the older
  ltconfig scripts found around.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.2f

* Tue Mar 16 1999 Cristian Gafton <gafton@redhat.com>
- completed arm patch
- added patch to make it more arm-friendly
- upgrade to version 1.2d

* Thu May 07 1998 Donnie Barnes <djb@redhat.com>
- fixed busted group

* Sat Jan 24 1998 Marc Ewing <marc@redhat.com>
- Update to 1.0h
- added install-info support

* Tue Nov 25 1997 Elliot Lee <sopwith@redhat.com>
- Update to 1.0f
- BuildRoot it
- Make it a noarch package
/var/tmp/libtool-1.4-root/
/var/tmp/libtool-1.4-root/usr
/var/tmp/libtool-1.4-root/usr/bin
/var/tmp/libtool-1.4-root/usr/bin/libtoolize
/var/tmp/libtool-1.4-root/usr/bin/libtool
/var/tmp/libtool-1.4-root/usr/lib
/var/tmp/libtool-1.4-root/usr/lib/libltdl.a
/var/tmp/libtool-1.4-root/usr/lib/libltdl.la
/var/tmp/libtool-1.4-root/usr/lib/libltdl.so
/var/tmp/libtool-1.4-root/usr/lib/libltdl.so.3
/var/tmp/libtool-1.4-root/usr/lib/libltdl.so.3.0.0
/var/tmp/libtool-1.4-root/usr/share
/var/tmp/libtool-1.4-root/usr/share/doc
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/NEWS
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/TODO
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/aclocal.m4
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/foo.c
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/foo.h
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/README
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/configure
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/configure.in
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/install-sh
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/missing
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/mkinstalldirs
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/Makefile.am
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/Makefile.in
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/main.c
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/dlmain.c
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/hell1.c
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/hell2.c
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/hello.c
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/demo/acinclude.m4
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/README
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/THANKS
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/AUTHORS
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/INSTALL
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/ChangeLog
/var/tmp/libtool-1.4-root/usr/share/doc/libtool-1.4/COPYING
/var/tmp/libtool-1.4-root/usr/share/info
/var/tmp/libtool-1.4-root/usr/share/info/libtool.info-1.bz2
/var/tmp/libtool-1.4-root/usr/share/info/libtool.info-2.bz2
/var/tmp/libtool-1.4-root/usr/share/info/libtool.info-3.bz2
/var/tmp/libtool-1.4-root/usr/share/info/libtool.info-4.bz2
/var/tmp/libtool-1.4-root/usr/share/info/libtool.info-5.bz2
/var/tmp/libtool-1.4-root/usr/share/info/libtool.info.bz2
/var/tmp/libtool-1.4-root/usr/share/libtool
/var/tmp/libtool-1.4-root/usr/share/libtool/ltmain.sh
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/aclocal.m4
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/COPYING.LIB
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/README
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/configure
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/configure.in
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/Makefile.am
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/Makefile.in
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/config.h.in
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/ltdl.c
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/ltdl.h
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/acinclude.m4
/var/tmp/libtool-1.4-root/usr/share/libtool/libltdl/acconfig.h
/var/tmp/libtool-1.4-root/usr/share/libtool/config.guess
/var/tmp/libtool-1.4-root/usr/share/libtool/config.sub
/var/tmp/libtool-1.4-root/usr/share/aclocal
/var/tmp/libtool-1.4-root/usr/share/aclocal/libtool.m4
/var/tmp/libtool-1.4-root/usr/share/aclocal/ltdl.m4
/var/tmp/libtool-1.4-root/usr/include
/var/tmp/libtool-1.4-root/usr/include/ltdl.h
